MANUAL FOR Click! Filer 1.1 for Windows 3.0

FILE DRIVING

   The first windows to really learn to use are the Source and Destination
ListBoxes.  There is a pair of listboxed for each Source and Destination.
The Left ListBox is the File Listbox and the right is the Directory Listbox.
The Directory Listbox operates on double click mode. Two clicks and you head 
to that directory or Drive.  Moving to a new drive always starts at the top 
of that drive.  Future enhancements are projected to allow an option for
the user to allow remembering the paths for each drive.  The File Listbox
is a multiselection listbox.  All highlighted files are available for action
by many of the Click Pushbuttons.  In the Source directory, as each file is
selected, it's size is added to the currently selected size Text DIsplay at 
the bottom righthand of the Click! Filer Window.

****1.1  Directory ListBox now 2 clicks to move.  Single click highlights
         for use in DELDIR BUTTON

SEARCH EDIT BOXES

   Both Dest and Source have an Edit Box at the top of the display.  Entering
a wildcard extension and pressing TAB causes a search in the related File
Listbox and update of it's display.  Entering a path in this Edit causes the
Directory Listbox to change directories.  A path and wildcard causes a 
directory and a new search in the FileList.  The currently active search
string is always displayed next to the Edit Boxes for both Source and Dest.


SOURCE AND DESTINATION CONTROL BUTTONS

   Below the Listboxes are a set of 10 push buttons.  Most of these have been
programed at this time.  The extras will be used in later versions of Click!

   ALL      This button selects all files in the associated FileListBox
   NONE     This button de-selects all files in the associated FileListBox
   RENAME   This button calls a dialog program to rename each selected file
            in the associated FileListBox.  You are presented with the file
            name selected and offered an edit box to enter a new name.  
            Provided all goes well, they will rename.  After all files have
            been renamed, the FIleListBox is updated to reflect all changes
            successfully completed.
   DEL      This button will delete all highlighted files in the associated
            FileListBox.  Upon completion, the FIleListBox is updated to 
            reflect the changes.
   RUN      This button will launch the first highlighted program in the 
            Source FileListBox.  You will be offerd an edit box to append
            arguments to the program call.  Programs can be either Windows 3.0
            programs, MS-DOS execs or MS-DOS batch files.  To run Batch files
            it is suggested you write the first line as a drive move to the
            required drive.  The second line should be a cd to the desired
            directory.  This should ensure satisfactory batch file execution.
            I've even compiled through batch mode.  It is suggested that
            you have a nice fat environment size.  Other ways to run files
            are discussed later under the Custom Button section of this 
            manual.

   EDIT     This button will run the Editor which you have defined and pass
            it the highlighted source files from the Source FileListBox. To
            select the Editor you want, use the Default Edit button described
            later in this manual.  The desired editor name will be entered in
            the Click.INI file and be restored each time you run Click! Filer.
   
   Beneath the Directory ListBoxes are two labeled buttons:

   MKDIR    This will provide an edit box for you to enter the name of the
            desired directory.  After completion, the Directory ListBox will
            update to reflect the addition ( if successful ).

   DELDIR   This button provides a new dialog if no directory is selected.  
            The dialog has a listbox to pilot your way to the desired 
            directory.  One click in the listbox selects the file for 
            deletion, 2 clicks moves you to that directory.  Only files which 
            DOS will delete can be deleted. Remove all files and 
            subdirectories from a directory before you can delete it.  
            Future expansion may provide a clear directory sub directories 
            feature.  You let me know if this would be desireable, or if 
            this SAFER mode is prefered. 

**** 1.1    If a directory is selected and you press DELDIR then the
            directory is deleted, no dialog will appear.

SIZE TEXT BOXES

   The bottom left Text Box shows the combined size of all selected source
files.  The bottom right Text Box shows the free space on the Destination
Drive.  Each has 3 buttons to select display mode.  Bytes, KBytes ( % 1024 ),
and MBytes ( %1024000 ).  This setting can be remembered by setting them 
into the Click.INI in the define defaults button discussed later.

CENTER CONTROL PUSH BUTTONS

   >     This button selects the current Source directory into the Current
         Destination directory.
   <>    This button swaps the Destination and Source Directories
   <     This button selects the current destination directory into the
         source directory

   COPY  This button copies all selected source files into the directory 
         current in destination.  As each is copies it is reflected in
         text above the associated ListBoxes.
   MOVE  Copies the selected source files to the destination directory and
         then deletes the source files.  SHould anyone have problems here
         let me know so I can beef up error conditions during the process.
         Verification move could be added if desired by enough people.

   EDIT DEFS

         This button provides for editing the CLick System settings in the
         Click.INI.  You can set the initial paths for Source and Destination.
         and the SOurce and Dest search masks.  Also the Editor can be named.
         Pressing SET places the displayed values into the INI ( the size
         defaults current are also set into the INI ).  Load retrieves the
         INI settings into the current defaults for Click!.  

   DEFAULTS

         The current Click! defaults are placed into action.  The directories
         files and searches all update.  This is the current defaults.  If 
         were in edit and changed defaults, but didn't set them into the INI
         these will be used.  Thus DEFAULTS are the current settings.  IF 
         they are not desired. Go to EDIT, LOAD the INI and if these are OK
         USE THEM.  Thus you can have session defaults and use this button.
         Switching later to your standard defaults as convenient.

   ABOUT As expected tells you your using this program and plugging ME!

   CUSTOM DEFS

         This calls the dialog to set the 12 buttons on the bottom of the
         Click! Window.  Select a button from the radio group.  The current
         settings for that button are displayed below.  You can determine the
         Label for the Button, the program to execute and whether to pass
         no args, fixed args ( as you define ), highlighted source files or
         provide a dialog requester for entering args at runtime.  Once
         you have these are desired. Press the SET button to record them.  
         If you do not SET the new settings, they will be forgotten. SET 
         writes only the currently selected button.

         Since so many people use HOTKEYS I didn't allow this feature.  If
         there is enough interest, I might provide associated HOTKEY for 
         these buttons.

   *** 1.1

         There is now an UP/DOWN arrow beside the programmable buttons.
         This will select from 10 different sets of 12 buttons.  The Set
         DEFS acts on the current set of 12 buttons.  Now you can group
         logical projects or environments of custom buttons to work from
         Click! Filer.


ARCHIVAL BUTTONS:

   Currently I support PKPAK, PKUNPAK, PKZIP and PKUNZIP, four very nice
   programs by PKWare.  You must have these programs to use the buttons
   I provided.  There are 4 .PIF files provided with this program.  You must
   edit these to reflect the correct directory on you hard drive where 
   Windows can find these programs.  The source directory is the directory
   where files will be effected.  The archive name must be entered inthe
   provided edit box in the center of the Click WIndow.  Pressing one of
   the ARCHIVE buttons, provides a dialog to set features of the compression.
   To understand these use the documentation from PKWare.  While in the
   Dialog you can set the initial settings with the SET button.  The settings
   displayed inthe Dialog will be written to the INI file.  Press OK to 
   compress.  The compressed file will be written to the current DESTINATION
   directory.  If you press CANCEL no compression will occur.  Note, if you
   changed setting in the INI and press CANCEL, those settings are already
   in the INI file, so mean it when you press SET.

*** 1.1

   Well we've added support for some other very nice shareware compression
   programs.  The ARC, PAK and LHARC programs now function from Click! Filer.
   Please support these programs authors as suggested about the above PKWare
   software.  

   ARC  COPYRIGHT 1985,86,87,88,89  by  System Enhancement Associates, Inc.
        ALL RIGHTS RESERVED

   LHarc Version 1.13c 05/31/89 Copyright (c) Haruyasu Yoshizaki (Yoshi), 
         1988-89

   PAK   Version 2.10 Copyright 1988, 1989 by NoGate Consulting
         ALL RIGHTS RESERVED

   Some features for each of these programs may have been glossed over in
   this version, but in time the full possible set will be provided.  I 
   basically wanted this tool to aid me in archiving my programs and so
   I did them to my needs.  Obviously full support is desireable, but I 
   didn't want to leave users of the new programs in the lurch with no 
   easy interface.

FUTURE EXPANSION...

   Where to next?  Several possibilities exist, as well as small changes and
tune ups.  While reasonably small, I need to compact Click! and optimize it's
memory use for 640K folks.  Help access would be nice as would system 
information features.  A format for Floppies ONLY would be simple enough.
A delete for a directory/subdirs/*.* would be nice. Expanded setups for
the PD compression programs would be nice.

